ISINFF(3) | Library Functions Manual | ISINFF(3)

# NAME

`isinff`, `isnanf` —
test for infinity or not-a-number

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

`#include <math.h>`

int
`isinff`(float);

int
`isnanf`(float);

# DESCRIPTION

The `isinff`() function returns 1 if the number is “infinity”, otherwise 0.

The `isnanf`() function returns 1 if the number is “not-a-number”, otherwise 0.

# SEE ALSO

isinf(3), isnan(3), math(3)

IEEE Standard for Binary Floating-Point Arithmetic, Std 754-1985, ANSI.

# BUGS

Neither the VAX nor the Tahoe floating point have distinguished values for either infinity or not-a-number. These routines always return 0 on those architectures.

August 16, 1999 | NetBSD 9.4